<?php
/* vim: set expandtab sw=4 ts=4 sts=4: */
/**
 * phpMyAdmin sample configuration, you can use it as base for
 * manual configuration. For easier setup you can use setup/
 *
 * All directives are explained in Documentation.html and on phpMyAdmin
 * wiki <http://wiki.phpmyadmin.net>.
 *
 * @package phpMyAdmin
 */

/**
 * Your phpMyAdmin url
 *
 * Complete the variable below with the full url ie
 *    https://www.your_web.net/path_to_your_phpMyAdmin_directory/
 *
 * It must contain characters that are valid for a URL, and the path is
 * case sensitive on some Web servers, for example Unix-based servers.
 *
 * In most cases you can leave this variable empty, as the correct value
 * will be detected automatically. However, we recommend that you do
 * test to see that the auto-detection code works in your system. A good
 * test is to browse a table, then edit a row and save it.  There will be
 * an error message if phpMyAdmin cannot auto-detect the correct value.
 *
 * If the auto-detection code does work properly, you can set to true the
 * $cfg['PmaAbsoluteUri_DisableWarning'] variable below.
 */
$cfg['PmaAbsoluteUri'] = '';

/*
 * This is needed for cookie based authentication to encrypt password in
 * cookie
 */
$cfg['blowfish_secret'] = ''; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */

/**
 * Disable the default warning about $cfg['PmaAbsoluteUri'] not being set
 * You should use this if and ONLY if the PmaAbsoluteUri auto-detection
 * works perfectly.
 */
$cfg['PmaAbsoluteUri_DisableWarning'] = false;

/**
 * Disable the default warning that is displayed on the DB Details Structure page if
 * any of the required Tables for the relationfeatures could not be found
 */
$cfg['PmaNoRelation_DisableWarning']  = false;

/**
 * Disable the default warning that is displayed if Suhosin is detected
 *
 * @global boolean $cfg['SuhosinDisableWarning']
 */
$cfg['SuhosinDisableWarning'] = true;

/*
 * Servers configuration
 */
$i = 0;

/***************************************
 * First server
 */
$i++;
// MySQL hostname or IP address
$cfg['Servers'][$i]['host']                = 'localhost';

// MySQL port - leave blank for default port
$cfg['Servers'][$i]['port']                = '';

// Path to the socket - leave blank for default socket
$cfg['Servers'][$i]['socket']              = '';

// Use SSL for connecting to MySQL server?
$cfg['Servers'][$i]['ssl']                 = false;

// How to connect to MySQL server ('tcp' or 'socket')
$cfg['Servers'][$i]['connect_type']        = 'socket';

// The PHP MySQL extension to use ('mysql' or 'mysqli')
$cfg['Servers'][$i]['extension']           = 'mysqli';

// Use compressed protocol for the MySQL connection (requires PHP >= 4.3.0)
$cfg['Servers'][$i]['compress']            = false;

// MySQL control user settings (this user must have read-only
// access to the "mysql/user" and "mysql/db" tables).
// The controluser is also used for all relational features (pmadb)
$cfg['Servers'][$i]['controluser']         = '';
$cfg['Servers'][$i]['controlpass']         = '';

// Authentication method (config, http or cookie based)?
$cfg['Servers'][$i]['auth_type']           = 'cookie';

// MySQL user
$cfg['Servers'][$i]['user']                = 'root';

// MySQL password (only needed with 'config' auth_type)
$cfg['Servers'][$i]['password']            = '';

// Allow access without password
$cfg['Servers'][$i]['AllowNoPassword']     = false;

// Session to use for 'signon' authentication method
$cfg['Servers'][$i]['SignonSession']       = '';

// URL where to redirect user to login for 'signon' authentication method
$cfg['Servers'][$i]['SignonURL']           = '';

// URL where to redirect user after logout
$cfg['Servers'][$i]['LogoutURL']           = '';

// If set to a db-name, only this db is displayed in left frame
// It may also be an array of db-names, where sorting order is relevant.
$cfg['Servers'][$i]['only_db']             = '';

// Verbose name for this host - leave blank to show the hostname
$cfg['Servers'][$i]['verbose']             = '';

// Database used for Relation, Bookmark and PDF Features
// (see scripts/create_tables.sql)
//   - leave blank for no support
//     DEFAULT: 'phpmyadmin'
$cfg['Servers'][$i]['pmadb']               = '';

// Bookmark table
//   - leave blank for no bookmark support
//     DEFAULT: 'pma_bookmark'
$cfg['Servers'][$i]['bookmarktable']       = '';

// table to describe the relation between links (see doc)
//   - leave blank for no relation-links support
//     DEFAULT: 'pma_relation'
$cfg['Servers'][$i]['relation']            = '';

// table to describe the display fields
//   - leave blank for no display fields support
//     DEFAULT: 'pma_table_info'
$cfg['Servers'][$i]['table_info']          = '';

// table to describe the tables position for the PDF schema
//   - leave blank for no PDF schema support
//     DEFAULT: 'pma_table_coords'
$cfg['Servers'][$i]['table_coords']        = '';

// table to describe pages of relationpdf
//   - leave blank if you don't want to use this
//     DEFAULT: 'pma_pdf_pages'
$cfg['Servers'][$i]['pdf_pages']           = '';

// table to store column information
//   - leave blank for no column comments/mime types
//     DEFAULT: 'pma_column_info'
$cfg['Servers'][$i]['column_info']         = '';

// table to store SQL history
//   - leave blank for no SQL query history
//     DEFAULT: 'pma_history'
$cfg['Servers'][$i]['history']             = '';

// set to false if you know that your pma_* tables
// are up to date. This prevents compatibility
// checks and thereby increases performance.
$cfg['Servers'][$i]['verbose_check']       = true;

// whether to allow root login
$cfg['Servers'][$i]['AllowRoot']           = true;

// Host authentication order, leave blank to not use
$cfg['Servers'][$i]['AllowDeny']['order']  = '';

// Host authentication rules, leave blank for defaults
$cfg['Servers'][$i]['AllowDeny']['rules']  = array();


/***************************************
 * Second Server
 */

/**
$i++;
$cfg['Servers'][$i]['host']                = '';
$cfg['Servers'][$i]['port']                = '';
$cfg['Servers'][$i]['socket']              = '';
$cfg['Servers'][$i]['ssl']                 = false;
$cfg['Servers'][$i]['connect_type']        = 'tcp';
$cfg['Servers'][$i]['extension']           = 'mysqli';
$cfg['Servers'][$i]['compress']            = false;
$cfg['Servers'][$i]['controluser']         = '';
$cfg['Servers'][$i]['controlpass']         = '';
$cfg['Servers'][$i]['auth_type']           = 'http';
$cfg['Servers'][$i]['user']                = 'root';
$cfg['Servers'][$i]['password']            = '';
$cfg['Servers'][$i]['AllowNoPassword']     = false;
$cfg['Servers'][$i]['SignonSession']       = '';
$cfg['Servers'][$i]['SignonURL']           = '';
$cfg['Servers'][$i]['LogoutURL']           = '';
$cfg['Servers'][$i]['only_db']             = '';
$cfg['Servers'][$i]['verbose']             = '';
$cfg['Servers'][$i]['pmadb']               = '';
$cfg['Servers'][$i]['bookmarktable']       = '';
$cfg['Servers'][$i]['relation']            = '';
$cfg['Servers'][$i]['table_info']          = '';
$cfg['Servers'][$i]['table_coords']        = '';
$cfg['Servers'][$i]['pdf_pages']           = '';
$cfg['Servers'][$i]['column_info']         = '';
$cfg['Servers'][$i]['history']             = '';
$cfg['Servers'][$i]['verbose_check']       = true;
$cfg['Servers'][$i]['AllowRoot']           = true;
$cfg['Servers'][$i]['AllowDeny']['order']  = '';
$cfg['Servers'][$i]['AllowDeny']['rules']  = array();
 */

// If you have more than one server configured, you can set $cfg['ServerDefault']
// to any one of them to autoconnect to that server when phpMyAdmin is started,
// or set it to 0 to be given a list of servers without logging in
// If you have only one server configured, $cfg['ServerDefault'] *MUST* be
// set to that server.

// Default server (0 = no default server)
$cfg['ServerDefault'] = 1;
$cfg['Server']        = '0';
unset($cfg['Servers'][0]);


/***************************************
 * End of servers configuration
 */

/*
 * Directories for saving/loading files from server
 */
$cfg['UploadDir'] = '';
$cfg['SaveDir'] = '';

/**
 * Defines whether a user should be displayed a "show all (records)"
 * button in browse mode or not.
 * default = false
 */
//$cfg['ShowAll'] = true;

/**
 * Number of rows displayed when browsing a result set. If the result
 * set contains more rows, "Previous" and "Next".
 * default = 30
 */
//$cfg['MaxRows'] = 50;

/**
 * Use graphically less intense menu tabs
 * default = false
 */
//$cfg['LightTabs'] = true;

/**
 * disallow editing of binary fields
 * valid values are:
 *   false  allow editing
 *   'blob' allow editing except for BLOB fields
 *   'all'  disallow editing
 * default = blob
 */
//$cfg['ProtectBinary'] = 'false';

/**
 * Default language to use, if not browser-defined or user-defined
 * (you find all languages in the locale folder)
 * uncomment the desired line:
 * default = 'en'
 */
//$cfg['DefaultLang'] = 'en';
//$cfg['DefaultLang'] = 'de';

/**
 * default display direction (horizontal|vertical|horizontalflipped)
 */
//$cfg['DefaultDisplay'] = 'vertical';


/**
 * How many columns should be used for table display of a database?
 * (a value larger than 1 results in some information being hidden)
 * default = 1
 */
//$cfg['PropertiesNumColumns'] = 2;

/**
 * Set to true if you want DB-based query history.If false, this utilizes
 * JS-routines to display query history (lost by window close)
 *
 * This requires configuration storage enabled, see above.
 * default = false
 */
//$cfg['QueryHistoryDB'] = true;

/**
 * When using DB-based query history, how many entries should be kept?
 *
 * default = 25
 */
//$cfg['QueryHistoryMax'] = 100;

/*
 * You can find more configuration options in Documentation.html
 * or here: http://wiki.phpmyadmin.net/pma/Config
 */
?>
